Page MenuHomePhabricator

(NEED BY: 2020-06-11) rack/setup/install thanos-fe100[123].eqiad.wmnet
Closed, ResolvedPublic

Description

This task will track the racking, setup, and OS installation of <enter the FQDN/hostname of the hosts being setup here>

Hostname / Racking / Installation Details

Hostnames: thanos-fe1001 / thanos-fe1002 / thanos-fe1003
Racking Proposal: Any row will do, as long as they are diverse
Networking/Subnet/VLAN/IP: 10G, private vlan
Partitioning/Raid: partman/standard.cfg partman/raid1-2dev.cfg
OS Distro: Buster

Per host setup checklist

Each host should have its own setup checklist copied and pasted into the list below.

thanos-fe1001:

  • - receive in system on procurement task T249539
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

thanos-fe1002:

  • - receive in system on procurement task T249539
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

thanos-fe1003:

  • - receive in system on procurement task T249539
  • - rack system with proposed racking plan (see above) & update netbox (include all system info plus location, state of planned)
  • - bios/drac/serial setup/testing
  • - mgmt dns entries added for both asset tag and hostname
  • - network port setup (description, enable, vlan)
    • end on-site specific steps
  • - production dns entries added
  • - operations/puppet update (install_server at minimum, other files if possible)
  • - OS installation
  • - puppet accept/initial run (with role:spare)
  • - host state in netbox set to staged

Once the system(s) above have had all checkbox steps completed, this task can be resolved.

Related Objects

StatusSubtypeAssignedTask
ResolvedCmjohnson

Event Timeline

RobH created this task.May 1 2020, 4:38 PM
Restricted Application added a project: Operations. · View Herald TranscriptMay 1 2020, 4:38 PM
RobH moved this task from Backlog to Procurement on the ops-eqiad board.May 1 2020, 4:38 PM
RobH removed a subscriber: RobH.
RobH added a parent task: Unknown Object (Task).May 1 2020, 5:18 PM
fgiunchedi renamed this task from (NEED BY: TBD) rack/setup/install thanos-fe100[123].eqiad.wmnet to (NEED BY: ASAP) rack/setup/install thanos-fe100[123].eqiad.wmnet.May 18 2020, 9:21 AM
Jclark-ctr updated the task description. (Show Details)May 18 2020, 7:37 PM

name rack_name position asset_tag switchport
thanos-fe1001 A2 35 WMF5100 35
thanos-fe1002 A4 22 WMF5101 38
thanos-fe1003 C2 31 WMF5102 30

Jclark-ctr updated the task description. (Show Details)
Jclark-ctr added a subscriber: Jclark-ctr.

Change 601363 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Adding all dns entries for thanos-fe100[123]

https://gerrit.wikimedia.org/r/601363

Change 601363 merged by Cmjohnson:
[operations/dns@master] Adding all dns entries for thanos-fe100[123]

https://gerrit.wikimedia.org/r/601363

Cmjohnson updated the task description. (Show Details)Jun 1 2020, 4:01 PM

Added to network switches and put in disabled vlan until bios is set up and ready for imaging.

Similarly to thanos-be, these hosts will need to be row-diverse but ATM there are two in row A

Cmjohnson updated the task description. (Show Details)Jun 8 2020, 5:31 PM

Change 603554 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding thanos-fe100[123] to dhcpd file and netboot.cfg

https://gerrit.wikimedia.org/r/603554

Change 603554 merged by Cmjohnson:
[operations/puppet@production] Adding thanos-fe100[123] to dhcpd file and netboot.cfg

https://gerrit.wikimedia.org/r/603554

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-fe1003.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006081827_cmjohnson_19435_thanos-fe1003_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['thanos-fe1003.eqiad.wmnet']

Of which those FAILED:

['thanos-fe1003.eqiad.wmnet']
wiki_willy renamed this task from (NEED BY: ASAP) rack/setup/install thanos-fe100[123].eqiad.wmnet to (NEED BY: 2020-06-11) rack/setup/install thanos-fe100[123].eqiad.wmnet.Jun 8 2020, 8:25 PM

Change 603637 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Adding thanos-fe100[1-3] to site.pp insetup role

https://gerrit.wikimedia.org/r/603637

Change 603637 merged by Cmjohnson:
[operations/puppet@production] Adding thanos-fe100[1-3] to site.pp insetup role

https://gerrit.wikimedia.org/r/603637

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-fe1003.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006082309_cmjohnson_178692_thanos-fe1003_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['thanos-fe1003.eqiad.wmnet']

and were ALL successful.

Cmjohnson updated the task description. (Show Details)Jun 8 2020, 11:32 PM

thanos-fe1003 is the only one installed at the moment.

thanos-fe1001 mgmt is not working, - need to check cable
thanos-fe1002 does not appear to be connected to the network switch

@Jclark-ctr

Please move

thanos-fe1002 from A4 to B2

thanos-fe1002 b2 u32. switchport 38

Change 604080 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Updating dns for thanos-fe1002 to reflect rack relocation

https://gerrit.wikimedia.org/r/604080

Change 604080 merged by Cmjohnson:
[operations/dns@master] Updating dns for thanos-fe1002 to reflect rack relocation

https://gerrit.wikimedia.org/r/604080

Script wmf-auto-reimage was launched by cmjohnson on cumin1001.eqiad.wmnet for hosts:

thanos-fe1002.eqiad.wmnet

The log can be found in /var/log/wmf-auto-reimage/202006101344_cmjohnson_38657_thanos-fe1002_eqiad_wmnet.log.

Completed auto-reimage of hosts:

['thanos-fe1002.eqiad.wmnet']

and were ALL successful.

Cmjohnson closed this task as Resolved.Jun 10 2020, 2:14 PM
Cmjohnson updated the task description. (Show Details)

@fgiunchedi These are moved and installed. Resolving this task.